package ch.zhaw.ads;

public class SnowflakeServer implements CommandExecutor {
    double distanz = 1.0;
    Turtle turtle;

    @Override
    public String execute(String command) {
        turtle = new Turtle();
        int steps = Integer.parseInt(command);
        drawSnowFlake(steps, distanz);
        return turtle.getTrace();
    }

    public void drawSnowFlake(int steps, double distanz){
        if(steps == 0) {
            turtle.move(distanz);
        } else {
            distanz = distanz / 3;
            steps--;
            drawSnowFlake(steps, distanz);
            turtle.turn(60);
            drawSnowFlake(steps, distanz);
            turtle.turn(-120);
            drawSnowFlake(steps, distanz);
            turtle.turn(60);
            drawSnowFlake(steps, distanz);
        }
    }
}
